2010-01-22  Jaroslav Hajek  <highegg@gmail.com>

	Version 3.2.4 released.

2009-10-11  Rik <octave@nomad.inbox5.com>

	* intepreter/Makefile.in: Fix broken command to create octave.dvi

	2009-09-18  Jaroslav Hajek  <highegg@gmail.com>

	Version 3.2.3 released.

2009-07-20  John W. Eaton  <jwe@octave.org>

	* interpreter/contributors.in: Add Aleksej Saushev.

	2009-07-21  Jaroslav Hajek  <highegg@gmail.com>

	Version 3.2.2 released.

2009-06-24  Rafael Laboissiere  <rafael@debian.org>

	* Makefile.in (dist): Drop conf.texi as prerequisite.

2009-06-16  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/tips.txi: Update.

2009-06-07  Rik  <rdrider0-list@yahoo.com>

	* interpreter/plot.txi: Update some of Advanced Plotting documentation.
	Updated functions delete, allchild, backend, clf, hold, and refreshdata.

2009-06-07  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* interpreter/container.txi: Udate documentation of container types

2009-06-03  Rik  <rdrider0-list@yahoo.com>

	* interpreter/plotimages.m: Correct errorbar plot for docs.  Make hist plot
	reprodroducible for docs.
	* interpreter/interpimages.m: Correct typo in legend of interpft plot for
	docs 

	2009-05-25  Jaroslav Hajek  <highegg@gmail.com>

	Version 3.2.0 released.

2009-06-03  Jaroslav Hajek  <highegg@gmail.com>

	* Makefile.in: Omit conf.texi in DISTFILES.

2009-06-02  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/oop.txi: Update docs of polynomial class, mention
	chained indexing.

2009-05-27  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/errors.txi: fix 'print_usage' output.

2009-05-27  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/bugs.txi: fix call to 'page_screen_output'.

2009-05-25  Rik  <rdrider0-list@yahoo.com>

	* interpreter/Makefile.in: Add texmf.cnf to list of distributed files
	(DIST_FILES) so that pdfs will build.

2009-05-24  Robert T. Short  <octave@phaselockedsystems.com>

	* interpreter/oop.txi: Added inheritance documentatin

2009-05-21  Rik  <rdrider0-list@yahoo.com>

	* interpreter/Makefile.in, texmf.cnf: Change texi2pdf call to include local
	TeX configuration file which increases save_history variable.

2009-05-17  Rik  <rdrider0-list@yahoo.com>

	* interpreter/tips.txi: Change recommendation to use @tex rather than
	@iftex construction.

2009-05-17  Rik  <rdrider0-list@yahoo.com>

	* interpreter/*.txi: Simplify TeXinfo files by eliminating redundant @iftex
	followed by @tex construction.  Also, spellchecked all .txi and .texi files.

2009-05-14  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Update section 17.8 (Mathematical Consants)
	of arith.txi.

2009-05-01  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Update section 17.7 (Coordinate
	Transformations) of arith.txi.

2009-05-01  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Simplify TeXinfo and eliminate use of
	@iftex in arith.txi.

2009-05-01  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Update section 17.5 (Utility Functions)
	of arith.txi.

2009-04-30  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Update section 17.4 (Sums and Products)
	of arith.txi.

2009-04-29  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/numbers.txi: Update info on ranges.
	* interpreter/expr.txi: Update some info on indexing.

2009-04-26  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Update section 17.3 (Trigonometry) of
	arith.txi.

2009-04-24  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Update section 17.2 (Complex Arithmetic)
	of arith.txi.  Use Tex in more of the doc strings for pretty
	printing in pdf format.

2009-04-24  Rik  <rdrider0-list@yahoo.com>

	* interpreter/octave.pdf: Eliminate most overfull errors when
	running texi2pdf for generating pdf documentation.  Use
	@smallexample when necessary to reduce font for long lines.
	Reword variables or phrases so that Tex can break them at a better
	spot.

2009-04-21  Rik  <rdrider0-list@yahoo.com>

	* interpreter/octave.pdf: Eliminate 'unbalanced parentheses in
	@def...' error during texi2pdf.  Fixed four .m files incorrectly
	using @deftypefn macro.

2009-04-19  Ansgar Burchardt  <ansgar@43-1.org>

	* interpreter/numbers.txi: Fix small mistake in example.

2009-04-17  Rik  <rdrider0-list@yahoo.com>

	* interpreter/arith.txi: Update section 17.1 (Utility Functions)
	of arith.txi.  Split section into "Exponents and Logarithms" and
	"Utility Functions" Use Tex in many more of the doc strings for
	pretty printing in pdf format.

2009-04-17  Rik  <rdrider0-list@yahoo.com>

	* interpreter/basics.txi: Update help text for sections 2.5, 2.6, 2.7
	of basics.txi 

2009-04-17  Rik  <rdrider0-list@yahoo.com>

	* interpreter/basics.txi: Update help text for sections 2.4 of
	basics.txi.

2009-04-17  Rik  <rdrider0-list@yahoo.com>

	* interpreter/basics.txi: Update help text for sections 2.2 
	and 2.3 of basics.txi.

2009-04-17  Rik  <rdrider0-list@yahoo.com>

	* interpreter/basics.txi: Update help strings for command line options.

2009-04-11  David Bateman  <dbateman@free.fr>

	* interpreter/contributors.in: Add Martin Helm.

2009-04-06  John W. Eaton  <jwe@octave.org>

	* texinfo.tex: Prefer PDF image files if generating PDF output.

2009-03-27  Rik  <rdrider0-list@yahoo.com>

	* interpreter/intro.txi: Add new sample section on elementary 
	calculations.  Add new example of solving systems of equations

2009-03-27  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/diagperm.txi: Mention mixing with sparse matrices.

2009-03-25  John W. Eaton  <jwe@octave.org>

	* interpreter/munge-texi.cc (process_texi_input_file):
	Copy leading comment with file name info to output.

2009-03-09  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (DISTFILES): Use doc-cache instead of
	DOC for doc cache file.

2009-03-08  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/stats.txi (Basic Statistical Functions):
	Add the 'histc' function.

2009-03-07  John W. Eaton  <jwe@octave.org>

	* interpreter/basics.txi (Command Line Options):
	Document --doc-cache-file command-line option.

2009-03-06  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/diagperm.txi: Various improvements.

2009-02-27  John W. Eaton  <jwe@octave.org>

	* interpreter/set.txi (Sets): Don't document create_set.

2009-02-26  John W. Eaton  <jwe@octave.org>

	* interpreter/strings.txi (Manipulating Strings):
	Document strsplit, not split.

2009-02-25  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (distclean): Remove tags and TAGS here
	instead of in maintainer-clean target.
	(maintainer-clean): Depend on distclean, not clean.  Remove DOC.
	(DISTFILES): Add stmp-html to the list.

	* Makefile.in: Remove conf.texi in maintainer-clean target but not
	distclean target.

2009-02-24  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/diagperm.txi: Remove redundant url references.

2009-02-23  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/diagperm.txi: Use TeX alternatives in some
	formulas, improve examples, delete superfluous defs.

2009-02-23  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/diagperm.txi: New file.
	* interpreter/octave.texi: Reference it.
	* intepreter/Makefile.in: Include it.
	* interpreter/matrix.txi: Move @DOCSTRING(diag) to diagperm.txi.

2009-02-19  John W. Eaton  <jwe@octave.org>

	* doc/interperter: Include @DOCSTRING commands for the following
	functions: bicgstab, cgs, choldelete, cholinsert, cholshift,
	clabel, comet, command_line_path, compass, contour3, ctranspose,
	cylinder, dellistener, diffuse, edit, ellipsoid, fclear, feather,
	fill, find_dir_in_path, finite, flag, info, is_absolute_filename,
	is_rooted_relative_filename, isdebugmode, ishghandle, isnull,
	issorted, make_absolute_filename, meshz, news,
	octave_tmp_file_name, optimget, pareto, plotmatrix, plotyy,
	qrshift, quiver3, re_read_readline_init_file, ribbon, rose,
	rundemos, scatter, scatter3, slice, specular, sphere, spinmap,
	stem3, strchr, strtrim, surfl, surfnorm, times, transpose,
	treelayout, uminus, uplus, warranty, what, xlim, yes_or_no.

2009-02-17  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* interpreter/install.txi: Add documentation for configure options
	"--without-framework-carbon" and "--without-framework-opengl".

2009-02-17  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/arith.txi: Add reference to "cummin" and "cummax".

2009-02-11  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (uninstall): Use $(DESTDIR) here too.
	Uninstall Info dir file.  Uninstall DOC file.
	(install): Install DOC file.  Add $(DESTDIR)$(octetcdir) to the
	list of directories to make.

2009-02-10  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (DOC): New target.
	(DISTFILES): Add DOC nad mk_doc_cache.m to the list.
	* mk_doc_cache.m: New file.

2009-02-01  S�ren Hauberg <hauberg@gmail.com>

	* interpreter/nonlin.txi: Remove reference to 'fsolve_options'.

2009-02-01  S�ren Hauberg <hauberg@gmail.com>

	* interpreter/system.txi: Remove reference to 'eomdate'.

2009-01-24  Thorsten Meyer  <thorsten@hexe>

	* interpreter/container.txi (Data Structures): Update examples for
	structure arrays.

2009-01-22  John W. Eaton  <jwe@octave.org>

	* interpreter/io.txi (Terminal Output): Remove @DOCSTRING(ans).

	* vr-idx.txi: Delete.
	* interpreter/Makefile.in (SUB_SOURCE): Remove it from the list.

2009-01-22  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/func.txi: Put varargin and varargout in concept index.
	* interpreter/var.txi: Put ans in concept index.
	* interpreter/octave.texi: Don't include vr-idx.texi.
	
        * interpreter/var.txi: Remove sections on built-in variables.

2009-01-20  John W. Eaton  <jwe@octave.org>

	* interpreter/system.txi (Filesystem Utilities): @DOCSTRING for
	fstat.  Delete @DOCSTRING for lstat.  Add anchor for doc-lstat.

2009-01-18  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* interpreter/numbers.txi (Numeric Data Types): Trivial fixes.

2009-01-14  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* interpreter/matrix.txi: Add anchor for doc-postpad.
	
2008-12-26  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* interpreter/strings.txi: Add space to ischar example.
	
2008-12-26  Francesco Potortì  <pot@gnu.org>

	* interpreter/matrix.txi (Rearranging Matrices): Add reference
	to resize function.

	* interpreter/plot.txi (Plot Annotations): Add cross reference to
	Text Properties.
	(Two-Dimensional Plots): Update introduction to the axis function.

       * interpreter/signal.txi (Signal Processing): Add explanation of
       what wisdom is.

2008-12-23  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Document the eigs and svds functions.

2008-12-02  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * interpreter/container.txi, interpreter/strings.txi:
        Remove reference to str2mat.m
        
2008-11-15  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * interpreter/strings.txi: Add text around docstrings, change
        structure of the strings chapter.
        
2008-10-31  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in ($(TEXINFO)): Depend directly on
	../../src/DOCSTRINGS and ../../scripts/DOCSTRINGS instead of phony
	src-DOCSTRINGS and scripts-DOCSTRINGS targets.
	(src-DOCSTRINGS, scripts-DOCSTRINGS): Delete.
	(DOCSTRING_FILES): New variable.
	($(SUB_TEXFINO)): Use it.  Display actual command.
	($(DOCSTRING_FILES)): New target.
	(%.spell : %.texi): Use -t suffix instead of .tmp.
	(constributors.texi, $(SUB_TEXINFO)): Use mv, instead of
	$(simple-move-if-change-rule).

2008-10-30  David Bateman  <dbateman@free.fr>

	* faq/Octave-FAQ.texi: Document improved indexing and add an faq for
	the compatibility of mldivide/mrdivide for singualr, under- and 
	over-determined matrices.
	
	* interpreter/plot.txi: Document contour groups.

2008-10-29  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* interpreter/system.txi, interpreter/poly.txi,
	interpreter/arith.txi, interpreter/poly.txi,
	interpreter/optim.txi, interpreter/diffeq.txi,
	interpreter/sparse.txi, interpreter/matrix.txi,
	interpreter/plot.txi, interpreter/io.txi, interpreter/debug.txi,
	interpreter/var.txi, interpreter/strings.txi:
	Add missing @DOCSTRING commands.

	* interpreter/munge-texi.cc (extract_docstring): Expand arguments
	of @seealso{} into Texinfo references.
          
2008-10-22  David Bateman  <dbateman@free.fr>

	* interprter/plot.txi: Add documentation for error bar series.

	* interprter/plot.txi: Update documentation for line series, Add 
	documetation for scatter groups, stem series and surface groups.

	* texinfo.tex: Import new upstream version.
	* interpreter/Makefile.in (EXAMPLE_FILES_NODIR): Update for new OOP
	class example location.
	* interpreter/oop.txi: Ditto.

2008-10-15  David Bateman  <dbateman@free.fr>

	* interpreter/oop.txi: New file.
	* interpreter/Makefile.in (SUB_SOURCES): Add it here.
	(POLYNOMIAL_FILES_NODIR): New varaible for polynomial example class
	methods.
	(EXAMPLE_FILES_NODIR): Add POLYNOMIAL_FILES_NODIR here.
	* interpreter/octave.texi: Reference new OOP chapter here.
	* interpreter/func.txi: Document private directories and function
	precedence here.
	
2008-10-16  Thorsten Meyer  <thorsten.meyier@gmx.de>
        * interpreter/contrib.txi: added recommendation of limited
          line width in code examples
          
2008-10-03  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* interpreter/contrib.txi: added example for mercurial queues

08-10-03  Thorsten Meyer  <thorsten.meyier@gmx.de>

        * interpreter/contrib.txi: correction of the mercurial example
        * interpreter/container.txi: minor correction of the text

2008-09-25  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/image.txi: Update for imread and imwrite instead of
	loadimge and saveimage.

2008-09-24  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/image.txi: Document imfinfo.

2008-09-23  Francesco Potorti`  <Potorti@isti.cnr.it>.

	* interpreter/container.txi: Fix cross reference in struct docs.

2008-09-23  Brian Gough  <bjg@network-theory.co.uk>

	* interpreter/matrix.txi: Update docs for random number generators.

2008-09-22  David Bateman  <dbateman@free.fr>

	* faq/Octave-FAQ.texi: Update for Octave 3.1.51 and Matlab 2008a.

2008-09-15  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Minor clarificiation

2008-08-28  John W. Eaton  <jwe@octave.org>

	* interpreter/func.txi, interpreter/plot.txi: Doc fixes
	suggested by Francesco Potorti` <Potorti@isti.cnr.it>.

2008-08-28  David Bateman  <dbateman@free.fr>

	* interpreter/plot.txi: Add description of data sources and line
	series objects.

2008-08-26  David Bateman  <dbateman@free.fr>

	* interpreter/plot.txi: Document the group objects (bar, stem,
	stair, quiver and area series), and cllback functions.

2008-08-26  Jaroslav Hajek  <highegg@gmail.com>

	* interpreter/contrib.txi: New file.
	* interpreter/octave.texi: Include it here.
	* interpreter/Makefile.in (SUB_SOURCE): Add contrib.txi to the list.

2008-08-21  David Bateman  <dbateman@free.fr>

	* interpreter/plot.txi: Document ezplot.
	
2008-08-19  David Bateman  <dbateman@free.fr>

	* interpreter/numbers.txi: Document intwarning.

2008-08-06  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/basics.txi, interpreter/errors.txi,
	interpreter/expr.txi, interpreter/func.txi,
	interpreter/numbers.txi: Update format of error messages in examples.

2008-07-29  David Bateman  <dbateman@free.fr>

	* interpreter/numbers.txi, interpreter/plot.txi,
	interpreter/quad.txi: Miscellaneous documentation fixes.

	* control.txi, finance.txi, quaternion.txi: Delete.
	* octave.texi: Remove all references to the above.
	* Makefile.in: ditto.

2008-07-28  David Bateman  <dbateman@free.fr>

	* interpreter/arith.txi: Document reallog, realpow and realsqrt.
	* interpreter/dbug.txi: Document the means of setting a breakpoint
	in a sub-function
	* interpreter/func.txi: Document nargoutchk and symvar.
	* interpreter/geometry.txi: Document rectint.
	* interpreter/image.txi: Document contrast.
	* interpreter/interp.txi: Document interp1q.
	* interpreter/linalg.txi: Document planerot, rcond and subspace.
	* interpreter/numbers.txi: Document data type demotion and single
	precision data type.
	* interpreter/plot.txi: Document ginput, gtext,
	waitforbuttonpress, ezcontour, ezcontourf, ezpolar, ezplot3,
	ezmesh, ezmeshc, ezsurf, ezsurfc, allchild, findobj and findall
	functions.
	* interpreter/quad.txi: Document quadv, quadgk, dblquad and
	triplequad functions.
	* interpreter/strings.txi: Document validstring, regexptranslate
	and isstrprop functions.
	* interpreter/system.txi: Document addtodate, filemarker and perl
	functions.
	* interpreter/var.txi: Document the genvarname and namelengthmax
	functions.
	* interpreter/octave.texi: Update table of contents for the above
	changes.

	* interpreter/plot.txi: Document contourf.

	* interpreter/plot.txi: Clarify the description of OuterPosition
	axes property.

2008-05-20  David Bateman  <dbateman@free.fr>

	* interpreter/debug.txi: Uodate documentation for multiline
	input. Add documentation for dbcont, dbquit, dbstep, dbstqck, dbup
	and dbdown functions.
	* interpreter/octave.texi: Upodate index for debugging functions.

2008-05-03  Rafael Laboissiere  <rafael@debian.org>

	* interpreter/expr.txi, interpreter/tips.txi: Use ischar instead of
	deprecated isstr.

2008-04-02  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Document spaugment.

2008-03-26  Rafael Laboissiere  <rafael@debian.org>

	* interpreter/mkoctfile.1: Remove spurious whitespace before macros

2008-03-25  David Bateman  <dbateman@free.fr>

	* interpreter/strings.txi: Document hex2num, num2hex.
	
2008-03-21  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Document amd function.

2008-03-19  Michael D. Godfrey  <godfrey@isl.stanford.edu>

	* interpreter/plot.txi: Reorder symbol character table.

2008-03-18  Rafael Laboissiere  <rafael@debian.org>

	* interpreter/octave.1, interpreter/mkoctfile.1:
	Escape "-" signs that mean the "minus" character.

2008-03-12  David Bateman  <dbateman@free.fr>

	* interpreter/io.txi: Document dlmread, dlmwrite, csvread and
	csvwrite.

2008-02-25  Ben Abbott  <bpabbott@mac.com>

	* interpreter/geometryimages.m, interpreter/interpimages.m,
	interpreter/plotimages.m, interpreter/sparseimages.m:
	Use cstrcat instead of strcat.

2008-02-22  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Remove refernces to spdiag, spcumprod,
	spcumsum, spprod, spsum, spsumsq, spchol, spchol2inv, spcholinv,
	spinv and splu.

2008-02-20  David Bateman  <dbateman@free.fr>
 
 	* interpreter/sparse.txi: Remove references to spmin, spmax,
 	spatan2, spfind, spqr and spdet.
 	
2008-02-19  Carlo de Falco  <kingcrimson@tiscali.it>

	* interpreter/package.txi: Improve INDEX file documentation.

2008-01-18  Ben Abbott  <bpabbott@mac.com>

	* interpreter/intro.txi: Replaced reference to deprecated
	function struct_elements with filenames.

2008-02-08  Rafael Laboissiere  <rafael@debian.org>

	* interpreter/octave.1: Dropped unknow LO macro
	* interpreter/octave-bug.1: Likewise	

2008-02-07  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Remove references to spkron.

2008-02-06  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (stmp-html, HTML): New targets.
	($(HTML_IMAGES_PNG)): Also depend on stmp-html.
	Don't create HTML directory here.

2007-12-28  John W. Eaton  <jwe@octave.org>

	Merge changes from object branch:

	2007-06-20  John W. Eaton  <jwe@octave.org>

	* interpreter/var.txi, interpreter/io.txi:
	Eliminate print_answer_id_name.

2007-12-21  John W. Eaton  <jwe@octave.org>

	Version 3.0.0 released.

2007-12-13  John W. Eaton  <jwe@octave.org>

	* Makefile.in (conf.texi): Also depend on $(top_srcdir)/src/version.h.

2007-12-05  John W. Eaton  <jwe@octave.org>

	* interpreter/geometryimages.m (image_as_txt): New function.
	Use it to generate "figures" for Info format.
	* interpreter/interpimages.m: Likewise.
	* interpreter/sparseimages.m: Likewise.

2007-12-04  John W. Eaton  <jwe@octave.org>

	* interpreter/sparseimages.m, interpreter/plotimages.m,
	interpreter/interpimages.m, interpreter/geometryimages.m:
	Set default text font to "*" for png images.

	* interpreter/Makefile.in (run-octave): Don't sleep.

2007-12-04  Joseph P. Skudlarek  <Jskud@Jskud.com>

	* interpreter/plotimages.m: Generate text plots.
	* interpreter/sparseimages.m: Add initial blank line to text plots.

	* interpreter/Makefile.in (IMAGES_TXT): Include $(INTERPIMAGES_TXT)
	$(GEOMETRYIMAGES_TXT) and $(PLOTIMAGES_TXT) in the list.
	(INTERPIMAGES_TXT, GEOMETRYIMAGES_TXT, PLOTIMAGES_TXT): New variables.

2007-11-26  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Document condest.
	* interpreter/plot.txi: Document the new text properties and the
	TeX interpreter mode of text objects.
	* interpreter/plotimages.m: Add an example for the TeX
	interpreter.
	* interpreter/Makefile.in (PLOTIMAGES): Add the TeX example

	* interpreter/plot.txi: Document caxis.
	* interpreter/image.txi: Document gmap40.

2007-11-12  Joseph P. Skudlarek  <Jskud@Jskud.com>

	* interpreter/gpl.txi: Move index commands after sectioning commands.

2007-11-09  David Bateman  <dbateman@free.fr>

	* interpreter/plot.txi: Document the new hidden and area functions.

2007-11-07  David Bateman  <dbateman@free.fr>

	* interpreter/plot.txi: Document new functions.

2007-10-30  David Bateman  <dbateman@free.fr>

	* interpreter/dynamic.txi, interpreter/install.txi,
	interpreter/stats.txi, interpreter/strings.txi,
	interpreter/testfun.txi, interpreter/tips.txi:
	Doc fixes for small book format.

2007-10-26  Michael Goffioul  <michael.goffioul@gmail.com>

	* interpreter/Makefile.in, faq/Makefile.in, liboctave/Makefile.in:
	Use temporary renamed files instead of Don't use --output option
	argument for texi2[dvi|pdf].  Use $(sepchar) for path element
	separation when building TEXINPUTS.  Remove use of UNSETCOMSPEC trick.

2007-10-22  Kim Hansen  <kimhanse@gmail.com>

	* interpreter/munge-texi.cc: Include <cstdlib> and <cstring>.

2007-10-19  David Bateman  <dbateman@free.fr>

	* refcard/refcard.tex: Update for 3.0.

2007-10-15  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/preface.txi, interpreter/basics.txi,
	interpreter/strings.txi, interpreter/container.txi,
	interpreter/var.txi, interpreter/expr.txi, interpreter/errors.txi,
	interpreter/io.txi, interpreter/func.txi, interpreter/package.txi:
	Make text fit on pages when using smallbook.

2007-10-12  John W. Eaton  <jwe@octave.org>

	* Change copyright notices in all files that are part of Octave to
	GPLv3 or any later version.

2007-10-11  Brian Gough  <bjg@network-theory.co.uk>

	* interpreter/dynamic.txi, interpreter/geometry.txi,
	interpreter/package.txi, interpreter/sparse.txi,
	interpreter/system.txi: Spelling fixes.

2007-10-10  Olli Saarela  <Olli.Saarela@kcl.fi>

	* interpreter/arith.txi, interpreter/basics.txi,
	interpreter/container.txi, interpreter/dynamic.txi,
	interpreter/eval.txi, interpreter/expr.txi, interpreter/func.txi,
	interpreter/geometry.txi, interpreter/intro.txi,
	interpreter/numbers.txi, interpreter/plot.txi,
	interpreter/poly.txi, interpreter/set.txi, interpreter/sparse.txi,
	interpreter/stmt.txi, interpreter/strings.txi,
	interpreter/testfun.txi, interpreter/tips.txi: Spelling fixes. 

2007-10-06  John W. Eaton  <jwe@octave.org>

	* interpreter/octave.texi: Add David Bateman and S�ren Hauberg as
	authors.

2006-09-28  Henry Mollet  mollet@pacbell.net

	* interpreter/func.txi: Correct results of a couple of examples.

2007-09-14  John W. Eaton  <jwe@octave.org>

	* faq/Makefile.in: Create single Octave-FAQ.html file instead of a
	splitting files into HTML directory.

2007-09-05  David Bateman  <dbateman@free.fr>

        * interpreter/system.m: Document gzip.
        * interpreter/container.txi: Document celldisp.
        * interpreter/matrix.txi: Document bsxfun.
        * interpreter/data.txi: Document typecast and swapbytes. 
        * interpreter/container.txi: Document struct2cell.
        * interpreter/stats.txi: Document mode.
        * interpreter/eval.txi: Document run.

2007-09-01  David Bateman  <dbateman@free.fr>

	* interpreter/Makefile.in: Remove stray character from
	INTERIMAGES_PNG target. 
	* conf.texi.in: Substitute for the variable TEXINFO_QHULL
	* interpreter/geometryimages.m: Check for the HAVE_QHULL build
	flag before creating certain figures.
	* interpreter/geometry.txi: Check whether TEXINFO_QHULL is set
	before including certain figures.

2007-08-31  S�ren Hauberg  <hauberg@gmail.com>

        * interpreter/nonlin.txi: Extended the example.

        * interpreter/poly.txi: Sectioning and documentation.
        * interpreter/octave.texi: Adapt to changes in poly.txi.

2007-08-30  David Bateman  <dbateman@free.fr>

	* interpreter/geometryimages.m: Add inpolygon example
	* interpreter/Makefile.in (GEOMETRYIMAGES): Add inpolygon example.
	* interpret/geometry.txi: Document inpolygon.

2007-08-27  David Bateman  <dbateman@free.fr>

	* interpreter/struct.txi: Remove.
	* interpreter/containers.txi: Combine with this chapter. Add
	examples, and section on comma separated lists. Document the
	difference between "c(1,:) = []" and c{1,:} = []" for a cell
	arrays.
	* interpreter/octave.texi: Document new indexing of containers
	section.

2007-08-25  David Bateman  <dbateman@free.fr>

        * interpreter/geometry.txi: Add examples and explanatory text.
        * interpreter/octave.texi: Update indexing of geometry functions.
	* interpreter/geometryimage.m: New script to create images for
	geometry chapter.
	* interpreter/Makefile.in (SCRIPT_SORCES): add geometryimages.m
	(GEOMETRYIMAGES*): New variables.
	(IMAGES_EPS, IMAGES_PDF, IMAGES_PNG): Add the GEOMETRYIMAGES*.

2007-08-24  David Bateman  <dbateman@free.fr>

        * interpreter/geometry.txi: Document new functions.
        * interpreter/octave.texi: Update indexing of geometry items.

2007-07-25  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (run-octave): Don't set DISPLAY.

2007-07-25  David Bateman  <dbateman@free.fr>

	* Makefile.in, faq/Makefile.in, interpreter/Makwfile.in, 
	liboctave/Makefile.in, refcard/Makefile.in:  Adjust DISTFILES 
	to allow out of tree "make dist" to work.

2007-07-23  David Bateman  <dbateman@free.fr>

	* interpreter/Makefile.in (SUB_SOURCE): remove bit.txi.
	* interpreter/io.txi: Document rat and rats in new sub-section.
	* interpreter/plot.txi: New section for test functions. Document
	peaks and meshc.
	* interpreter/octave.texi: Add test plotting section.
	* interpreter/image.txi: Document the functions autumn, bone,
	cool, copper, hot, hsv, jet, pink, prism, rainbow, spring, 
	summer, white and winter.
	
2007-07-19  David Bateman  <dbateman@free.fr>

	* interpreter/bit.xi: Remove.
	* interpreter/numbers.txi: Move here, and add examples.
	* interpreter/octave.texi: Remove "Bit manipulation" chapter and make
	it a sub-section of the "Numeric Data Types" chapter.

2007-07-06  David Bateman  <dbateman@free.fr>

        * interpreter/arith.txi: Add accumarray.

2007-06-25  John W. Eaton  <jwe@octave.org>

	* interpreter/stats.txi: Reorganize sections and add introductory text.

	* interpreter/octave.texi: Update to reflect changes in stats.txi.

2007-06-18  David Bateman  <dbateman@free.fr>

	* interpreter/interpimages.m: Simpler images to demonstrate
	the continuity of the second derivative of splines.
	* interpreter/interp.txi: Also change figures here.
	* interpreter/Makefile.in: and here.
	
2007-06-18  S�ren Hauberg  <hauberg@gmail.com>

        * interpreter/optim.txi: Added some introductory text to each
	section.

        * interpreter/set.txi: Added some introductory text.
        * interpreter/octave.texi: Updated to reflect changes in set.txi.

2007-06-15  David Bateman  <dbateman@free.fr>

	* faq/Octave-FAQ.texi: Document the gnuplot 4.2 bug using pipes.

2007-06-15  Paul Kienzle  <pkienzle@users.sf.net>

	* interpreter/testfun.txi: Provide a clue to using xtest for assert.

2007-06-14  Paul Kienzle  <pkienzle@users.sf.net>

	* interpreter/testfun.txi: Document xtest block

2007-06-14  David Bateman  <dbateman@free.fr>

	* interpreter/Makefile.in (SCRIPT_SORCES): add interimages.m
	(INTERPIMAGES*): New variables. Add targets for them
	(IMAGES_EPS, IMAGES_PDF, IMAGES_PNG): Add the INTERPIMAGES.
	* interpreter/interpimages.m: New function
	* interpreter/interp.txi: Add text about second derivation of
	splines	and add figures.

2007-06-12  David Bateman  <dbateman@free.fr>

	* interpreter/numbers.txi: Document that 64-bit arithmetic is
	not possible.

2007-06-12  David Bateman  <dbateman@free.fr>

	* interpreter/interp.txi: Split into two section and document
	interp3 and the differences in the treatement of the dimensions
	between interpn and interp3.
	* hashing.txi: Remove.
	* system.txi: Move it here as a subsection. Include explanation
	and example.
	* interpreter/octave.texi: Add sections for the Interpolation
	chapter. Remove references to Hashing chapter and hashing.texi,
	and subsections for hashing to system utilities chapter.


2007-06-12  2007-06-10  S�ren Hauberg  <hauberg@gmail.com>

        * interpreter/diffeq.txi: Note that x-dot is the derivative of x.

2007-06-03  David Bateman  <dbatemna@free.fr>

	* interpreter/dynamic.txi: Use "mwSize" and "mwIndex" rather than
	"int" for indexing in mex-files and document them.
	
2007-05-30  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (TEXI2DVICOMMAND, TEXI2PDFCOMMAND):
	New macros.
	(octave-a4.pdf, octave-smallbook.pdf): New targets.
	(FORMATTED, all): Include octave-a4.pdf in list of dependencies.
	Delete octave.dvi and octave.ps from list.
	(FORMATTED, all): Use $(PDF_TARGETS).
	(maintainer-clean): Depend on clean.

2007-05-30  G. D. McBain  <gdmcbain@freeshell.org>

	* interpreter/expr.txi (Assignment Ops): Doc fix.

2007-05-29  Steven Mestdagh  <steven.mestdagh@esat.kuleuven.be>

	* interpreter/Makefile.in ($(HTML_IMAGES_PNG)): Use cp instead of
	INSTALL_DATA to copy files to the HTML directory.

2007-05-28  S�ren Hauberg  <hauberg@gmail.com>

        * interpreter/errors.txi: Add new sections and some more detailed
	descriptions on errors and warnings.
        * interpreter/octave.texi, interpreter/stmt.txi,
	interpreter/var.txi: Add references to the new sections in
	errors.txi.

2007-05-28  S�ren Hauberg  <hauberg@gmail.com>

        * interpreter/io.txi: Rearrange some sections, and add
        a few examples.

2007-05-28  G. D. McBain  <geordie_mcbain@yahoo.com.au>

	* interpreter/struct.txi: Doc fix.

2007-05-23  John W. Eaton  <jwe@octave.org>

	* liboctave/Makefile.in (TEXINFO_SOURCE): New variable.
	(TEXINFO): Define using $(TEXINFO_SOURCE).
	(DISTFILES): Include $(TEXINFO_SOURCE) in the list, not $(TEXINFO).

2007-05-22  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (TEXINFO_SOURCE): New variable.
	(TEXINFO): Define using $(TEXINFO_SOURCE).
	(DISTFILES): Include $(TEXINFO_SOURCE) in the list, not $(TEXINFO).

2007-05-22  Thomas Weber  <thomas.weber.mail@gmail.com>

	* faq/Octave-FAQ.texi, interpreter/basics.txi,
	refcard/refcard.tex: Fix typos.

2007-05-22  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (DISTFILES): Add mkcontrib.awk to the list.

2007-05-21  David Bateman  <dbatemna@free.fr>

	* interpreter/debug.txi, io.txi, octave.txi: Doc fixes.

2007-05-21  S�ren Hauberg  <hauberg@gmail.com>

        * interpreter/expr.txi: Describe +=, -=, *=, and /= operators.
	Add new example.

        * interpreter/eval.txi: Partition the chapter into sections.
        Describe evalin and assignin functions using text from Paul
	Kienzle.  Change "See See" to "See".  Use @ref instead of @xref to
	avoid "See" to be written with a capital letter in the middle of a
	sentence.

        * interpreter/func.txi: New section describing load path.
        Improve 'inline' and 'command' sections.

        * interpreter/stmt.txi: Describe cell array cases for the switch
	statement.  Minor layout changes.

2007-05-19  David Bateman  <dbatemna@free.fr>

	* interpreter/func.txi: Additional documentation for function
	locking, dispatch and autoloading.

2007-05-16  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/expr.txi: Improve docs.

2007-05-14  John W. Eaton  <jwe@octave.org>

	* interpreter/basics.txi, interpreter/data.txi,
	interpreter/intro.txi, interpreter/numbers.txi,
	interpreter/octave.texi, interpreter/preface.txi: Doc fixes.

2007-04-18  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/package.texi: Document "*" flag for loaded packages.

	* interpreter.var.txi: Improve explanation of clear, exist, and who.

	* interpreter/intro.txi: Change @unnumberedsubsec to @subsection.

	* interpreter/container.txi: Doc fix.

	* interpreter/strings.txi: Improve explanation for creating
	comparing, and converting strings.
	* interpreter/octave.texi: Update detailed menu.

2007-05-09  David Bateman  <dbateman@free.fr>

	* faq/Octave-FAQ.texi: Update compatibility section.

2007-04-27  David Bateman  <dbateman@free.fr>

	* Makefile.in (EXAMPLE_FILES_NODIR): Add mycell.c, myfeval.c,
	myfunc.c, mypow2.c, mysparse.c, mystring.c, mystruct.c and
	paramdemo.cc.
	* interpreter.txi/dynamic.txi: Complete all but the section on
	the mex- and oct-file APIs.

2007-04-26  David Bateman  <dbateman@free.fr>

	* interpreter/stmt.txi: Document for loops over matrices, arrays
	and cell arrays.

2007-04-25  David Bateman  <dbateman@free.fr>

	* interpreter/dynamic.txi: Add additional copyrights. Add sections
	of input parameter checking, documentation and testing of
	oct-files. Adds a section on calling other functions from
	mex-files, expands the basic information on mex-files, and add a
	few new sections (to be completed) to the section about mex-files

2007-04-25  John W. Eaton  <jwe@octave.org>

	* interpreter/dynamic.txi: Use abs_top_srcdir to find example files.

2007-04-25  David Bateman  <dbateman@free.fr>

	* conf.texi.in: Also set abs_top_srcdir with substitution.
	* Makefile.in: Substitute abs_top_srcdir here.

2007-04-25  John W. Eaton  <jwe@octave.org>

	* interpreter/dynamic.txi: Use @verbatiminclude for example code.

	* interpreter/Makefile.in (EXAMPLE_FILES_NODIR, EXAMPLE_FILES):
	New variables.
	(octave.info, octave.dvi, octave.pdf, HTML/index.html):
	Depend on $(EXAMPLE_FILES).

	* conf.texi.in: Also set top_srcdir with substitution.

	* interpreter/tips.txi: Update with new text and examples.
	Move documentation section to the end.

2007-04-24  David Bateman  <dbateman@free.fr>

	* interpreter/octave.texi: Include dynamic.texi as appendix and
	update menus.

	* interpreter/plot.txi: Update menus.

	* interpreter/strings.txi: @result -> @result{}.

	* intrepreter/func.txi, intrepreter/sparse.txi:
	Delete .oct file section and update menus.

	* interpreter/addtwomatrices.cc, interpreter/celldemo.cc,
	interpreter/fortdemo.cc, interpreter/funcdemo.cc,
	interpreter/globaldemo.cc, interpreter/helloworld.cc,
	interpreter/stringdemo.cc, interpreter/structdemo.cc,
	interpreter/unwinddemo.cc, interpreter/fortsub.f,
	interpreter/dynamic.txi: New files.

	* Makefile.in (SUB_SOURCE): Include dynamic.txi in the list.

2007-04-18  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/package.texi: New file.
	* octave/texi: @include it, add it to the menus.

2007-04-18  John W. Eaton  <jwe@octave.org>

	* interpreter/contributors.in: New file.
	* interpreter/Makefile.in (contributors.texi): New target.
	(clean): Also deleete contributors.texi
	(TEXINFO): Include contributors.texi in the list.
	(preface.texi): @include contributors.texi.

2007-04-17  David Bateman  <dbateman@free.fr>

	* interpreter/linalg.txi (Techniques used for Linear Algebra):
	New node.
	* interpreter/octave.texi: Include it in menu.
	* interpreter/sparse.txi: Delete discusion of matrix_type.

2007-04-16  John W. Eaton  <jwe@octave.org>

	* interpreter/stream.txi: Delete.
	* interpreter/Makefile.in (SUB_SOURCE): Remove it from the list.

2007-04-16  S�ren Hauberg  <hauberg@gmail.com>

	* intrepreter/stmt.txi: Improve documentation of switch statement.

	* interpreter/tips.txi: Update description of how copyright
	statements are recognized.

	* interpreter/octave.texi: Don't include stream.texi.
	Remove menu entry for I/O streams.

	* interpreter/image.txi: Update docs.

2007-04-11  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/container.txi: Document indexing with ().

2007-04-11  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/container.txi: Improve cell array documentation.

2007-04-09  S�ren Hauberg  <hauberg@gmail.com>

	* interpreter/func.txi: Document varargin, varargout, and default
	argument values.

2007-04-03  Rafael Laboissiere  <rafael@debian.org>

	* interpreter/basics.txi: Clarified some limitations of the #!
	script mechanism, in particular related to the parsing of the
	arguments.

2007-03-29  Rafael Laboissiere  <rafael@debian.org>

	* faq/Octave-FAQ.texi, interpreter/basics.txi,
	interpreter/emacs.txi, interpreter/func.tx, interpreter/var.txi:
	Make it clear that the old built-in LOADPATH is an internal
	variable, accessible through path ().
	Drop references to DEFAULT_LOADPATH.
	Chang references to the old built-in variables INFO_FILE and
	INFO_PROGRAM to the respective fucntions info_file and
	info_program.
	* refcard/refcard.tex: Drop LOADPATH from list of built-in variables.

2007-03-27  John W. Eaton  <jwe@octave.org>

	* Makefile.in, interpreter/Makefile.in, faq/Makefile.in,
	liboctave/Makefile.in, refcard/Makefile.in (dist):
	Use ln instead of $(LN_S).

2007-03-21  G. D. McBain  <geordie.mcbain@aeromech.usyd.edu.au>

	* interpreter/sparse.txi: Delete repeated word.

2007-03-20  G. D. McBain  <geordie.mcbain@aeromech.usyd.edu.au>

	* interpreter/sparse.txi: Clarify sparse matrix creation example.

2007-03-14  G. D. McBain  <geordie.mcbain@aeromech.usyd.edu.au>

	* interpreter/sparse.txi: Fix typo.

2007-02-26  From Michael Goffioul  <michael.goffioul@swing.be>

	* Makefile.in, interpreter/Makefile.in, faq/Makefile.in,
	liboctave/Makefile.in, refcard/Makefile.in:
	Use $(LN_S) instead of ln or ln -s.

2007-02-21  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Add functions sprank and normest to
	documentation.

2007-01-25  John W. Eaton  <jwe@octave.org>

	* interpreter/sparseimages.m: Don't call __gnuplot_x__ functions.

2006-11-17  John W. Eaton  <jwe@octave.org>

	* interpreter/sparseimages.m: Fix call to __plt3__.

2006-11-16  John W. Eaton  <jwe@octave.org>

	* interpreter/sparseimages.m (femimages): Use plot3.

2006-11-11  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (%.texi : %.txi):
	Use $(simple-move-if-change-rule) here.

2006-10-29  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (run-octave): Call it here.
	* interpreter/sparseimages.m (sparseimages): Don't call sleep here.

2006-10-27  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (run-octave):
	Unset DISPLAY while running Octave.
	From Michael Goffioul <michael.goffioul@swing.be>.

	* interpreter/Makefile.in (octave.dvi, octave.pdf):
	Use $(UNSETCOMSPEC) in command.
	* faq/Makefile.in (Octave-FAQ.dvi, Octave-FAQ.pdf): Likewise.
	* liboctave/Makefile.in (liboctave.dvi, liboctave.pdf): Likewise.

2006-10-09  Thomas Treichl <Thomas.Treichl@gmx.net>

	* interpreter/sparseimages.m: Plot sombrero images if sparse
	capabilities are missing.

2006-10-04  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (HTML_IMAGES_PNG): New variable.
	(HTML/index.html): Depend on $(HTML_IMAGES_PNG) instead of html-figs.
	($(HTML_IMAGES_PNG): HTML/%.png : %.png): New pattern rule.
	(html-dir): Delete target.

2006-10-03  Rafael Laboissiere  <rafael@debian.org>

	* interpreter/mkoctfile.1: Fix indentation for --mex description.

2006-09-26  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in (stamp-images): Delete.
	(octave.info): Depend on $(IMAGES_TXT), not stamp-images.
	(octave.dvi): Depend on $(IMAGES_EPS), not stamp-images.
	(octave.pdf): Depend on $(IMAGES_PDF), not stamp-images.
	(html-figs): Depend on $(IMAGES_PNG), not stamp-images.
	(SCRIPT_SOURCES, SPARSEIMAGES_1, SPARSEIMAGES_EPS,
	SPARSEIMAGES_PDF, SPARSEIMAGES_PNG, SPARSE_IMAGES_TXT, IMAGES_EPS,
	IMAGES_PDF, IMAGES_PNG, IMAGES_TXT, and IMAGES): New variables.
	(SOURCES): Include $(SCRIPT_SOURCES) in the list.
	(DISTFILES): Include $(IMAGES) in the list.
	(maintainer-clean): Delete $(IMAGES) here.
	(DISTSUBDIRS, SUBDIRS): Remove $(IMAGEDIR) from list.
	(octave.dvi, octave.info, octave.pdf, HTML/index.html):
	Don't include $(IMAGEDIR) in list of directories to search
	* sparseimages.m: Move here from images/sparseimages.m.
	* images/Makefile.in: Delete.
	* images: Delete directory.

2006-08-24  John W. Eaton  <jwe@octave.org>

	* interpreter/images/Makefile.in (SPARSEIMAGES_PDF): New macro.
	Keep PDF images out of IMAGES list.

2006-08-18  John W. Eaton  <jwe@octave.org>

	* conf.texi.in: Eliminate TARGETHOSTTYPE variable.

2006-08-17  John W. Eaton  <jwe@octave.org>

	* interpreter/images/Makefile.in (%.pdf : %eps):
	Use $(GHOSTSCRIPT) instead of gs.

2006-08-14  Dmitri A. Sergatskov  <dasergatskov@gmail.com>

	* interpreter/images/sparseimages.m: Adapt to new automatic_replot
	definition.
	
2006-06-27  John W. Eaton  <jwe@octave.org>

	* interpreter/Makefile.in: Elminate double-colon rules.

2006-05-31  John W. Eaton  <jwe@octave.org>

	* interpreter/images/Makefile.in (run-octave):
	Use $(TOPDIR)/run-octave script to execute Octave.
	(OCTAVE_BINARY, OCTAVE_SCRIPT_PATH, OCTAVE_LD_LIBRARY_PATH,
	XLD_LIBRARY_PATH, SET_LD_LIBRARY_PATH): Delete variables.

2006-04-06  Keith Goodman  <kwgoodman@gmail.com>

	* interpreter/mkoctfile.1: Doc string fix.

2006-04-03  David Bateman  <dbateman@free.fr>

	* interpreter/matrix.txi: Add rande, randp, randg and update
          for different random generator behavior.

2006-03-28  John W. Eaton  <jwe@octave.org>

	* texinfo.tex: Update FSF address.

2006-03-27  John W. Eaton  <jwe@octave.org>

	* interpreter/images/sparseimages.m: Fix missing endif.  Omit
	unnecessary call to axis.

2006-03-24  John W. Eaton  <jwe@octave.org>

	* interpreter/images/sparseimages.m:
	Avoid some unnecessary calculations.

2006-03-22  John W. Eaton  <jwe@octave.org>

	* interpreter/sparse.txi: Undo previous change.
	Always use @image to include image files.
	* interpreter/Makefile.in: Eliminate stamp files.
	(clean, mostlyclean, distclean, maintainer-clean): Now
	double-colon targets.
	(stamp-images): New target.
	(octave.info, octave.dvi, octave.pdf, HTML/index.html): Depend on it.
	* interpreter/images/Makefile.in: Explicitly list images to be
	created and their dependencies.
	* interpreter/images/sparseimages.m (sparseimage): Delete dirc arg.
	Sleep for 1 second before returning.
	(txtimages): Also create gplot.txt and grid.txt.
	(sparseimages): Don't redirect output here.
	New arg, nm.  Only output a single figure at a time.
	(bury_output): New function.  Use it before plotting commands and
	after every print function.
	* Makefile.in (conf.texi): New target.
	(DISTFILES): Include conf.texi in the list.
	(all, dist): Depend on conf.texi.
	* conf.texi.in: Values come from Makeconf, not configure.

2006-03-21  John W. Eaton  <jwe@octave.org>

	* liboctave/Makefile.in (FORMATTED): Omit .html files here.
	(DISTDIRS): New variable.
	(dist): Handle $(DISTDIRS) here.

	* faq/Makefile.in (FORMATTED): Omit .html files here.
	(DISTDIRS): New variable.
	(dist): Handle $(DISTDIRS) here.

	* interpreter/Makefile.in (FORMATTED): Omit .html files here.
	(DISTDIRS): New variable.
	(dist): Handle $(DISTDIRS) here.

	* interpreter/sparse.txi: Temporarily omit figures.
	* interpreter/Makefile.in: Temporarily omit actions for making figures.
	(DISTSUBDIRS): New macro.
	(dist): Recurse into $(DISTSUBDIRS) here.

	* interpreter/Makefile.in (real-pdf): Depend on stamp-eps
	(stamp-pdf): Depend on real-pdf.  Touch stamp-pdf here.
	(real-pdf): Not here.

2006-03-16  David Bateman  <dbateman@free.fr>

	* interpreter/images/sparseimages.m: set terminal type to dummy to
	direct output to terminal rather than X11.
	* interpreter/sparse.txi: Update docs for new QR solvers.
	
2006-03-09  David Bateman  <dbateman@free.fr>

	* interpreter/Makefile.in: Change order of commands in HTML/index.html
	target. Respawn make for stamp-pdf target so that $(wildcard *.eps) is
	reinterpreted.
	* interpreter/sparse.txi: Isolate conditionally built targets in
	"@ifset ... @end ifset".

2006-03-08  David Bateman  <dbateman@free.fr>

	* conf.texi: Remove.
	* conf.texi.in: New file, for autoconf'ed version of conf.texi.
	* Makefile.in: replace conf.texi with conf.texi.in in DISTFILES
	* interpreter/Makefile.in: build in subdir IMAGEDIR, add stamps for
	image files. Copy png-files to HTML directory. Build pdf files from
	eps files using epsffit, gs, grep, basename, head and awk.
	* octave.texi: Update sparse sub-sections.
	* sparse.txi: Updates for current state of sparse code.
	* interpreter/images/Makefile.in: New file.
	* interpreter/images/sparseimages.m: New file to build sparse images.

2006-03-07  David Bateman  <dbateman@free.fr>

	* liboctave/dae.texi, liboctave/factor.texi, liboctave/nleqn.texi,
	liboctave/quad.texi, liboctave/matvec.texi, liboctave/nlfunc.texi,
	liboctave/diffeq.texi, liboctave/array.texi, liboctave/range.texi,
	liboctave/optim.texi: Fix some syntax problems for texinfo.tex 4.8.

2006-03-06  Keith Goodman  <kwgoodman@gmail.com>

	* interpreter/octave.texi (@seealso): Display args instead of
	discarding them.

2006-03-02  John W. Eaton  <jwe@octave.org>

	* faq/Makefile.in (Octave-FAQ.ps): Depend on Octave-FAQ.dvi, not
	$(TEXINFO).

	* texinfo.tex: Update to 2004-11-25.16 version from Texinfo 4.8.

2005-12-14  David Bateman  <dbateman@free.fr>

	* interpreter/testfun.txi: New test/demo documentation.
	* interpreter/strings.txi: Include regexp/regexi docstrings.
	* interpreter/octave.texi: Include test/demo appendix.
	* interpreter/Makefile.in (SUB_SOURCE): Include test.txi.

2005-12-13  David Bateman <dbateman@free.fr>

	* interpreter/sparse.txi: Add new gplot, etreeplot and treeplot
	functions.

2005-11-01  John W. Eaton  <jwe@octave.org>

	* liboctave/Makefile.in (maintainer-clean): Also remove liboctave.pdf
	* faq/Makefile.in (maintainer-clean): Also remove Octave-FAQ.pdf.
	From Quentin Spencer <qspencer@ieee.org>.

2005-10-23  David Bateman  <dbateman@free.fr>

	* sparse.txi: Updates for new ufsparse licensing, new functions and
	various typos.

2005-09-19  Rafael Laboissiere  <rafael@debian.org>

	* interpreter/octave-config.1: Use bold instead of italics to
	markup command name.

2005-07-29  John W. Eaton  <jwe@octave.org>

	* faq/Makefile.in (HTML/index.html): Pass --ifinfo to makeinfo.
	* interpreter/Makefile.in (HTML/index.html): Likewise.
	* liboctave/Makefile.in (HTML/index.html): Likewise.

2005-07-28  John W. Eaton  <jwe@octave.org>

	* faq/Makefile.in, interpreter/Makefile.in, liboctave/Makefile.in:
	Use makeinfo instead of texi2html to generate HTML.

2005-05-02  John W. Eaton  <jwe@octave.org>

	* interpreter/munge-texi.cc (skip_comments): New function.
	(process_doc_file): Use it to skip comments at beginning of file.

2005-04-29  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Add matrix_type, spkron, and document
	changes in solve code.

2005-03-14  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: Add luinc function.

2005-03-09  John W. Eaton  <jwe@octave.org>

	* Makefile.in (bin-dist): Delete target.
	(BINDISTSUBDIRS): Delete variable.

	* refcard/Makefile.in (bin-dist): Delete target.
	(BINDISTFILES): Delete variable.
	* liboctave/Makefile.in: Likewise.
	* interpreter/Makefile.in: Likewise.
	* faq/Makefile.in: Likewise.

2005-02-25  John W. Eaton  <jwe@octave.org>

	Sparse merge.

	2005-01-07  David Bateman  <dbateman@free.fr>

	* interpreter/sparse.txi: New file.
	* interpreter/Makefile.in: Add it to the build.
	* interpreter/octave.texi: Include it in the contents tables and the
	top level document.

2005-02-25  John W. Eaton  <jwe@octave.org>

	* liboctave/Makefile.in (all): Also depend on Octave-FAQ.pdf.
	Use $(MAKEINFO) instead of makeinfo in rules.

2005-02-25  Rafael Laboissiere  <rafael@debian.org>

	* liboctave/Makefile.in (Octave-FAQ.pdf): New target and rule.
	(FORMATTED): Add Octave-FAQ.pdf to the list.

2005-02-21  John W. Eaton  <jwe@octave.org>

	* liboctave/Makefile.in (liboctave.pdf): New target and rule.
	(FORMATTED): Add liboctave.pdf to the list.
	(all): Also depend on liboctave.pdf.
	Use $(MAKEINFO) instead of makeinfo in rules.

	* interpreter/Makefile.in (octave.pdf): New target and rule.
	(FORMATTED): Add octave.pdf to the list.
	(all): Also depend on octave.pdf.
	Use $(MAKEINFO) instead of makeinfo in rules.

2005-02-08  Quentin Spencer  <qspencer@ieee.org>

	* interpreter/plot.txi: Emphasize compatible plotting functions
	over gplot and friends.

2004-02-13  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* liboctave/Makefile.in (FORMATTED): Use liboctave*.html instead
	of liboctave_*.html.

	* faq/Makefile.in (FORMATTED): Use Octave-FAQ*.html instead of
	Octave-FAQ_*.html.

2004-01-22  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* faq/Makefile.in (maintainer-clean): Remove Octave-FAQ*.html
	instead of just Octave-FAQ_*.html.

	* liboctave/Makefile.in (maintainer-clean): Remove liboctave*.html
	instead of just liboctave_*.html.

	* refcard/Makefile.in (maintainer-clean): Remove refcard-*.pdf.

2003-12-09  Eric S. Raymond  <esr@thyrsus.com>

	* interpreter/mkoctfile.1: Use .I instead of .f for markup of ".oct".

2003-11-14  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/munge-texi.cc (process_texi_input_file):
	Avoid -Wshadow warnings.

2003-08-27  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* refcard/Makefile.in (refcard-a4.pdf, refcard-legal.pdf,
	refcard-letter.pdf): New targets.
	(FORMATTED): Add them to the list.
	* refcard/refcard.tex: Optionally set pdf paper size parameters.

2003-08-07  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (octave_toc.html): Add "-I ." to texinfo
	command line args.

2003-07-02  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* faq/Makefile.in (FORMATTED): Include all Octave-FAQ_*.html files
	here, not just the toc.

2003-05-14  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in, liboctave/Makefile.in: Handle DESTDIR.

2003-02-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (MAN_BASE): Add octave-config.1 to the list.

2003-02-19  Dirk Eddelbuettel <edd@debian.org>

	* octave-config.1: New file.

2003-01-11  Paul Kienzle <pkienzle@users.sf.net>

	* interpreter/Makefile.in (munge-texi$(BUILD_EXEEXT)): Pass
	$(BUILD_CXXFLAGS) and $(BUILD_LDFLAGS) to compiler.
	(%.o : %.cc): Delete pattern rule.

2003-01-03  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/munge-texi.cc: Define __USE_STD_IOSTREAM if using
	Compaq C++.

2002-12-03  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (%.o : %.c): No longer need
	-DNO_PRAGMA_INTERFACE_IMPLEMENTATION=1 compiler option.
	(munge-texi#(BUILD_EXEEXT)): Likewise.
	Don't link to Map-s.o.

	* interpreter/Map-s.cc: Delete.
	* interpreter/Makefile.in (DISTFILES): Delete it from the list.
	(mostlyclean, clean): Don't delete Map-s.o.

	* interpreter/munge-texi.cc: Require working STL.

2002-11-24  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (maintainer-clean): Depend on
	clean-texi, don't remove $(TEXINFO).

2002-11-12  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/munge-texi.cc: Use STL map class by default, but
	make it easy to revert back to libg++-based Map class if that
	fails to work on some systems.

2002-11-01  Dirk Eddelbuettel <edd@debian.org>

	* interpreter/Makefile.in (MAN_BASE, MAN_SRC): New variables, use
	as appropriate.

2002-11-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

 	* interpreter/mkoctfile.1: New file.
	
2002-10-25  Paul Kienzle <pkienzle@users.sf.net>

	* interpreter/Makefile.in (octave_toc.html): Use -expandinfo and
	-split_chapter instead of -expand info and -split chapter.
	* liboctave/Makefile.in (liboctave_toc.html): Likewisel
	* faq/Makefile.in (Octave-FAQ_toc.html): Likewise.

2002-10-25  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (munge-texi$(BUILD_EXEEXT)): Always use
	-DNO_PRAGMA_INTERFACE_IMPLEMENTATION for compiling and linking.

2002-10-10  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (%.texi : %.txi):
	Use $(top_srcdir)/move-if-change.

2002-10-09  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in: Use $(BUILD_EXEEXT) as appropriate.

2002-10-08  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (munge-texi, %.o : %.cc):
	Use $(BUILD_CXX), not $(CXX).
	(src-DOCSTRINGS, scripts-DOCSTRINGS): New targets.
	($(TEXIFNO)): Depend on them.
	(DOCSTRINGS): Delete variable.

2002-10-02  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (%.spell): Use $(SED), not sed.
	* liboctave/Makefile.in (%.spell): Likewise.
	* faq/Makefile.in (%.spell): Likewise.

2001-11-15  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (octave_toc.html): Use -expand info and
	-split chapter, to be consistent.
	* liboctave/Makefile.in (liboctave_toc.html): Likewise.
	* faq/Makefile.in (Octave-FAQ_toc.html): Likewise.

2001-11-14  Christoph Spiel <cspiel@hammersmith-consulting.com>

	* faq/Makefile.in (Octave-FAQ_toc.html): Use -expandinfo and
	-split_chapter, not -expand info and -split chapter.
	* liboctave/Makefile.in (liboctave_toc.html): Likewise.

2001-11-01  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (MAIN_TEXINFO): Look in $(srcdir).
	(octave_toc.html): Use -expandinfo and -split_chapter, not
	-expand info and -split chapter.

2001-03-27  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* liboctave/Makefile.in (liboctave_toc.html): Use -expand info and
	-split chapter instead of -expandinfo and -split_chapter options
	for texi2html.
	* faq/Makefile.in (Octave-FAQ_toc.html): Likewise.
	* interpreter/Makefile.in (octave_toc.html): Likewise.

2000-10-10  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* liboctave/Makefile.in (liboctave_toc.html): Add space after -I
	in texi2html command.
	* interpreter/Makefile.in (octave_toc.html): Ditto.

2000-03-06  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/octave-bug.1: New file.
	* interpreter/Makefile.in (install install-strip): Install it.
	(DISTFILES, BINDISTFILES): Add it to the

2000-02-23  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (clean): Also delete munge-texi,
	munge-texi.o, and Map-s.o.

2000-02-04  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/munge-texi.cc: Sprinkle with std:: qualifier.

2000-01-28  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (clean-texi): Avoid removing octave.texi.

2000-01-05  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in: Don't generate octave.texi from octave.txi.
	* interpreter/octave.texi: Rename from octave.txi.

	* interpreter/munge-texi.cc (process_texi_input_file): Undo
	previous change, since % doesn't work as a comment character after
	texinfo.tex is included.

2000-01-04  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* texinfo.tex: Update to version from texinfo-4.0.

	* interpreter/munge-texi.cc (process_texi_input_file): For Texinfo
	doc strings, automatically insert an @anchor{doc-SYMBOL} command
	just before the docstring for SYMBOL.

1999-12-09  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/munge-texi.cc (process_texi_input_file): Begin
	transformed files with `% DO NOT EDIT' instead of `@c DO NOT EDIT'
	to prevent problems with TeX not knowing the definition of @c
	before it is used.

1999-11-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (%.texi : %.txi): Suppress command echo.

1999-10-21  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (dist): Remove .texi files first, so
	they will have timestamps newer than the $(DOCSTRINGS) files.
	(%.texi : %.txi): Use mv instead of move-if-change.

	* interpreter/Map-s.cc: New file.
	* interpreter/munge-texi.cc: Use old libg++ Map class instead of
	STL map, for the benefit of systems that have assemblers that
	can't handle the long symbol names generated by g++ for
	map<string,string>.

1999-10-19  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/munge-texi.cc: Strip the "-*- texinfo -*-" marker
	when including help text.

	* interpreter/Makefile.in ($(TEXINFO)): Depend on $(DOCSTRINGS).
	($(DOCSTRINGS)): New rule.

	* Makefile.in (dist, bin-dist): Use `$(MAKE) -C dir' instead of
	`cd dir; $(MAKE); cd ..'.
	(../BUGS, ../INSTALL.OCTAVE, $(SUBDIRS)) Likewise.

	* interpreter/*.txi: Rename from *.txi.
	* interpreter/munge-texi.cc: New file.
	* interpreter/Makefile.in: Use it to create .texi files from .txi
	files and DOCSTRING files.

Fri Jun 18 23:17:02 1999  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (octave_toc.html): Add -expandinfo to
	tex12html options.
	* liboctave/Makefile.in (liboctave_toc.html): Likewise.
	* faq/Makefile.in (Octave-FAQ_toc.html): Likewise.

Fri Oct  9 00:27:33 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* faq/Makefile.in, interpreter/Makefile.in, liboctave/Makefile.in:
	New rules for generating HTML files from Texinfo sources.

Thu May 14 21:04:40 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (../../BUGS, ../../INSTALL): Add
	--no-validate to makeinfo args.

Wed Jul  2 16:41:04 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* refcard/Makefile.in: Remove .tex files from binary distributions.

	* interpreter/Makefile.in: Add DVI and Postscript files to binary
	distributions.

Fri Apr 18 02:51:00 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* faq/Octave-FAQ.texi: Rename from faq/FAQ.texi.
	* faq/Makefile.in: Fix names to match.

Wed Mar 12 17:01:02 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (install-strip): New target.
	* faq/Makefile.in: Ditto.
	* interpreter/Makefile.in: Ditto.
	* liboctave/Makefile.in: Ditto.
	* refcard/Makefile.in: Ditto.

Sat Mar  1 15:23:14 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.5 released.

Fri Feb 28 20:53:40 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* texinfo.tex: Update to latest version from Karl Berry, and apply
	previous patch too.

Thu Feb 27 03:34:48 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* texinfo.tex (\codeunder): Maybe make it work for @var{} inside
	@code{}.

Wed Feb 26 12:03:48 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* refcard/Makefile.in (mostlyclean clean): Delete log files.

	* liboctave/Makefile.in (mostlyclean clean): Delete more stuff.

	* faq/Makefile.in (mostlyclean clean): Delete some stuff.

Thu Feb 20 02:58:05 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.4 released.

Wed Feb 19 10:30:14 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (DISTFILES): Distribute conf.texi, not conf.texi.in.

	* liboctave/Makefile.in: Don't make or distribute conf.texi.
	(liboctave.info, liboctave.dvi): Depend on ../conf.texi, not conf.texi.

	* interpreter/Makefile.in: Don't create or distribute conf.texi.
	(octave.info, octave.dvi): Depend on ../conf.texi, not conf.texi.

Tue Feb 18 09:22:04 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.3 released.

Wed Jan 29 11:49:25 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (../INSTALL.OCTAVE, ../BUGS): Declare these to be
	.PHONY so that we will always check the interpreter makefile to
	get the proper dependencies.

Mon Jan 27 15:52:33 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.2 released.

Sun Jan 26 22:07:45 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in: Make BUGS file directly from bugs.texi.
	* interpreter/bugs.texi: Incorporate bugs1.texi directly.
	* interpreter/bugs1.texi: Delete.

	* interpreter/Makefile.in: Make INSTALL file directly from
	install.texi.
	* interpreter/install.texi: Incorporate install1.texi directly.
	* interpreter/install1.texi: Delete.

Sat Jan 25 22:32:33 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in, interpreter/Makefile.in, liboctave/Makefile.in,
	faq/Makefile.in, refcard/Makefile.in (bin-dist): New target.

Tue Jan  7 00:17:24 1997  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0.1 released.

Tue Dec 10 01:43:13 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 2.0 released.

Fri Dec  6 15:23:52 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 1.94.

Wed Nov 20 01:00:50 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 1.93.

Thu Nov 14 00:07:25 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* faq/Makefile.in (FAQ.dvi): Use $(TEXI2DVI), not just texi2dvi.
	* interpreter/Makefile.in (octave.dvi): Likewise.
	* liboctave/Makefile.in (liboctave.dvi): Likewise.

	* Version 1.92.

Thu Nov  7 12:43:19 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 1.91.

	* texinfo.tex: Update to version from texinfo-3.9 distribution.

Wed Oct 30 17:20:28 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Version 1.90.

	* Makefile.in (DISTFILES): Add ChangeLog.

Sat Oct 12 13:38:49 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (maintainer-clean): Don't depend on distclean.

Sat Jun 15 23:01:33 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in (TEXINFO): Add audio.texi and emacs.texi.

Fri May 17 03:02:37 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* interpreter/Makefile.in: Use man1dir instead of mandir, and
	man1ext instead of manext.

Sat Mar 23 05:01:17 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* liboctave/Makefile.in (TEXINFO): Don't list conf.texi and
	gpl.texi here.

	* liboctave/Makefile.in (dist targets): Fix ln command.
	* refcard/Makefile.in (dist targets): Likewise.
	* interpreter/Makefile.in (dist targets): Likewise.
	* faq/Makefile.in (dist targets): Likewise.

Fri Mar 22 23:57:26 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* liboctave/Makefile.in (DISTFILES): Add gpl.texi.
	* interpreter/Makefile.in (DISTFILES): Add gpl.texi.
	* Makefile.in (DISTFILES): Delete gpl.texi.

Sun Mar  3 11:33:30 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* Split docs into faq, interpreter, liboctave, and refcard
	subdirectories.

Wed Sep 20 00:47:45 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* mkinstalldirs: New file.
	* Makefile.in (DISTFILES): Add it to the list.

	* Makefile.in (maintainer-clean): Delete .dvi, .ps, and .info
	files here.
	(clean): Not here.
	(mostlyclean): Make this the same as clean.

Tue Sep 19 03:18:35 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in (../BUGS, ../INSTALL.OCTAVE): Specify output file to
	makeinfo with --output option.

Thu Sep 14 20:31:47 1995  John Eaton  <jwe@bevo.che.wisc.edu>

	* Makefile.in: Don't fail if makeinfo, tex, or dvips fail.

See ChangeLog.1 in the top level directory for earlier changes.
